MonoMac 0.0.0.0 System.Object System.IDisposable Class used to create audio files or read audio files.

Use the Create, Open and OpenRead factory methods to create instances of this class.

This class provides access to the encoder and decoder for compressed audio files.

- Constructor
  0.0.0.0
  This is an internal constructor, do not use directly.
- Property
  0.0.0.0
  MonoMac.Foundation.NSData To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFormat[] Returns a list of the supported audio formats. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 Audio file bit rate. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` `` `` The byte position. Offset within the packet. True if the return value is an estimate. Converts a position on a stream to its packet location. The packet where the byte position would be, or -1 on error.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioChannelLayout To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` `` The url of the file to create The file type for the created file Description of the data that is going to be passed to the AudioFile object Creation flags. Creates a new audio file. The initialized audio file, or null if there is an error creating the file
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` `` The url of the file to create The file type for the created file Description of the data that is going to be passed to the AudioFile object Creation flags. Creates a new audio file. The initialized audio file, or null if there is an error creating the file
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` `` The url of the file to create The file type for the created file Description of the data that is going to be passed to the AudioFile object Creation flags. Creates a new audio file. The initialized audio file, or null if there is an error creating the file
- Property
  0.0.0.0
  System.Int64 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int64 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the AudioFile object.

  The Dispose method releases the resources used by the AudioFile class.

  Calling the Dispose method when you are finished using the AudioFile ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the AudioFile object.

  This Dispose method releases the resources used by the AudioFile class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the AudioFile ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileType Audio file type. To be added. To be added.
- Method
  0.0.0.0
  System.Void Finalizer for the AudioFile object
- Method
  0.0.0.0
  System.Int64 `` `` The frame. The offset inside the packet that the frame points to. Converts an audio frame into a packet offset. -1 on failure, otherwise the packet that represents the specified frame. Additionally, the offset within the packet is returned in the out parameter.
- Method
  0.0.0.0
  System.IntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Field
  0.0.0.0
  System.IntPtr To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int64 Audio file size, in bytes.
- Property
  0.0.0.0
  System.Byte[] The magic cookie for this file. Certain files require the magic cookie to be set before they can be written to. Set this property before you write packets from your source (AudioQueue).
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` The url to a local file name. The permissions used for the file (reading, writing or both). A hint for the decoder. Opens an audio file for reading. An instance of AudioFile on success, null on failure. The hint is necessary as sometimes it is not possible to determine the file type merely based on the contents of the file.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` `` To be added. To be added. A hint for the decoder. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` Url pointing to the file to read. A hint indicating the file format expected, this is necessary for audio files where the operating system can not probe the type by looking at the file signature or file extension (for example AC3. Pass zero to auto detect the format. Opens the specified audio file for reading, frames will be decoded from the native format to raw audio data. An instance of AudioFile on success, or null on error. Once you have opened the file for reading, you can use the various Read methods to decode the audio packets contained in the file.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` Url pointing to the file to read. A hint indicating the file format expected, this is necessary for audio files where the operating system can not probe the type by looking at the file signature or file extension (for example AC3. Pass zero to auto detect the format. Opens the specified audio file for reading, frames will be decoded from the native format to raw audio data. An instance of AudioFile on success, or null on error. Once you have opened the file for reading, you can use the various Read methods to decode the audio packets contained in the file.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFile `` `` An url to a local file name. A hint indicating the file format expected, this is necessary for audio files where the operating system can not probe the type by looking at the file signature or file extension (for example AC3. Pass zero to auto detect the format. Opens an audio file for reading. An instance of AudioFile on success, or null on error. The hint is necessary as sometimes it is not possible to determine the file type merely based on the contents of the file.
- Method
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` The index of the first packet to read. The number of packets to read. The output buffer where packets are written. Reads packets of audio data from an audio file. Array of packet descriptors for the packets that were read.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` `` `` If the data should be cached. The index of the first packet to read. The number of packets to read. The output buffer where packets are written. On input the size of the output buffer (in bytes), upon return the actual number of bytes read. Reads packets of audio data from an audio file. Array of packet descriptors for the packets that were read.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` `` `` `` If the data should be cached. The index of the first packet to read. The number of packets to read. The output buffer where packets are written. The offset in the output buffer where to start writing packets to. The size of the output buffer (in bytes). Reads packets of audio data from an audio file. Array of packet descriptors for the packets that were read.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamPacketDescription[] `` `` `` `` `` `` If the data should be cached. The index of the first packet to read. On input the number of packets to read, upon return the number of packets actually read. The output buffer where packets are written. The offset in the output buffer where to start writing packets to. On input the size of the output buffer (in bytes), upon return the actual number of bytes read. Reads packets of audio data from an audio file. Array of packet descriptors for the packets that were read.
- Method
  0.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamBasicDescription The audio basic description, as determined by decoding the file.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` The starting byte in the file where the data will be written. The buffer that holds the data. The offset within the buffer where the data to be saved starts. The number of bytes to write to the file. Whether the data should be cached. Writes a block of data to the audio file. The number of bytes written to the stream, or -1 on error. This API merely writes bytes to the file without any encoding. Use WritePackets to write with encoding.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` Whether the data should be kept in the cache. The starting packet in the packetDescriptions that should be written. An array of packet descriptions that describe the contents of the buffer. The buffer containing the audio data. The number of bytes to write. Write audio packets to the audio file. The number of packets written or -1 on error.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` `` Whether the data should be kept in the cache. The starting packet in the packetDescriptions that should be written. An array of packet descriptions that describe the contents of the buffer. The buffer containing the audio data. The first packet to write from the packetDescriptions. The number of bytes to write. Writes audio packets to the file. The number of packets written or -1 on error.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.